%define api 1.04
%define major 0
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	Program for tidying up messy HTML
Name:		tidyp
Version:	1.04
Release:	%mkrel 12
Group:		Text tools
License:	W3C License
URL:		http://tidyp.com/
Source0:	http://github.com/downloads/petdance/tidyp/%{name}-%{version}.tar.gz
Patch0:		tidy-20081224cvs-fix-format-errors.patch

%description
tidyp is a program that can validate your HTML, as well as modify it to be more
clean and standard. tidyp does not validate HTML 5.

libtidyp is the library on which the program is based. It can be used by any
other program that can interface to it. The Perl module HTML::Tidy is based on
this library, allowing Perl programmers to easily validate HTML.

tidyp is a fork of the tidy project.


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}%{name}1.04 < 1.04-6

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.


%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q
%autopatch -p1

# make autoreconf happy
sed -i -e 's,AM_INIT_AUTOMAKE.*,AM_INIT_AUTOMAKE(\[foreign subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files
%doc README ChangeLog
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.04-12.mga8
+ Revision: 1517423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.04-11.mga7
+ Revision: 1301408
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 1.04-10.mga7
+ Revision: 1242826
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.04-9.mga6
+ Revision: 936560
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.04-8.mga5
+ Revision: 750905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.04-7.mga5
+ Revision: 689879
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.04-6.mga5
+ Revision: 662365
- fix lib pkg name
- clean .spec a bit S(IELNT)

* Fri Oct 18 2013 umeabot <umeabot> 1.04-5.mga4
+ Revision: 519631
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.04-4.mga3
+ Revision: 384572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 kamil <kamil> 1.04-3.mga2
+ Revision: 202377
- rebuild against gcc 4.6.2
- clean .spec

* Sat Jan 22 2011 ahmad <ahmad> 1.04-2.mga1
+ Revision: 31685
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package tidyp


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2011.0
+ Revision: 603003
- import tidyp

